Subject: SqlParser: Subselect in WHERE not suported

Description

Hello TYPOS3 team,

updating the extension list after deleting "1.extensions.xml.gz" and "1.mirrors.xml.gz" results in a catchable fatal error:
PHP Catchable Fatal Error: Argument 1 passed to TYPO3\CMS\Dbal\Database\DatabaseConnection:;_quoteWhereClause() must
be an array, string given, called in typo3/sysext/dbal/Classes/Database/DatabaseConnection.php on line 1214 and defined in
typo3/sysext/dbal/Classes/Database/DatabaseConnection.php line 1702

After some investigation | found out that the error is triggered by the following part:
integer_version=(SELECT MAX("integer_version") FROM "tx_extensionmanager_domain_model_extension" "b" WHERE
"b"."repository" = 1 AND "a"."extension_key" = "b"."extension_key") AND repository=1

in typo3/sysext/core/Classes/Database/SqlParser.php in line 1210.

The used regex does not support any subselect in WHERE clause, so the following parse error is triggered:

No operator, but parsing not finished in parseWhereClause()

Related issues:
related to Core - Bug # 56354: Speed up updating the extension list Resolved 2014-02-26

History

#1 - 2015-01-24 22:27 - Mathias Schreiber
- Assigned To set to Andreas Fernandez
- Target version set to 7.3 (Packages)

Congratulations on winning that one ;-)

#2 - 2015-06-15 17:45 - Benjamin Mack
- Target version changed from 7.3 (Packages) to 7.4 (Backend)

#3 - 2015-07-30 12:47 - Riccardo De Contardi
- Status changed from New to Closed

The resolution of the issue #60857 had also solved this, so | close it.

If you experience this issue again, please write to the mailing list typo3.teams.bugs with issue number and an explanation or open a new ticket and

add a relation to this ticket number.
